petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatCoarsenApply

Gets a coarsen for a matrix.

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode  MatCoarsenApply(MatCoarsen coarser)

Collective on MatCoarsen

### Input Parameter

coarsen -the coarsen

### Options Database Keys

To specify the coarsen through the options database, use one of the following

       -mat_coarsen_type mis

To see the coarsen result

       -mat_coarsen_view

### Notes

Use MatCoarsenGetData() to access the results of the coarsening

The user can define additional coarsens; see MatCoarsenRegister().

### See Also

MatCoarsenRegister(), MatCoarsenCreate(),
MatCoarsenDestroy(), MatCoarsenSetAdjacency(), ISCoarsenToNumbering(), ISCoarsenCount(), MatCoarsenGetData()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c

### Implementations

MatCoarsenApply_HEM in src/mat/coarsen/impls/hem/hem.c
MatCoarsenApply_MIS in src/mat/coarsen/impls/mis/mis.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages